## fpc 3.2.0+dfsg

=== fpcdocs/crtex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler

ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=fpc
endif
else
override FPC=fpc
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)


# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Fu$(UNITDIR)
endif
ifdef inUnix
EXECPREFIX=./
else
EXECPREFIX=
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean

OBJECTS=ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 ex10 ex11 ex12 ex13 ex14 \
        ex15 ex16

TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

LOGOBJECTS=$(addsuffix .log, $(OBJECTS))

EXEOBJECTS=$(addsuffix $(EXEEXT), $(OBJECTS))

all : $(EXEOBJECTS)

tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS) $(EXEOBJECTS) $(LOGOBJECTS)
	-rm -f *.so *.dll
 
$(EXEOBJECTS): %$(EXEEXT): %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

$(LOGOBJECTS): %.log: %$(EXEOBJECTS)
	$(EXECPREFIX)$* > $*.log

=== fpcdocs/mathex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=ppc386
endif
else
override FPC=ppc386
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif
ifdef inUnix
EXECPREFIX=./
else
EXECPREFIX=
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean execute

OBJECTS=ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 ex10 \
        ex11 ex12 ex13 ex14 ex15 ex16 ex17 ex18 ex19 ex20 \
        ex21 ex22 ex23 ex24 ex25 ex26 ex27 ex28 ex29 ex30 \
        ex31 ex32 ex33 ex34 ex35 ex36 ex37 ex38 ex39 ex40 \
        ex41 ex42 ex43 ex44 ex45 ex46 ex47 ex48 ex49 ex50

TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

EXEOBJECTS=$(addsuffix $(EXEEXT), $(OBJECTS))

# This is not the same list as objects, since some of the
# tests are interactive.
TOTEST=ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 ex10 \
        ex11 ex12 ex13 ex14 ex15 ex16 ex17 ex18 ex19 ex20 \
        ex21 ex22 ex23 ex24 ex25 ex26 ex27 ex28 ex29 ex30 \
        ex31 ex32 ex33 ex34 ex35 ex36 ex37 ex38 ex39 ex40 \
        ex41 ex42 ex43 ex44 ex45 ex46 ex47 ex48 ex49 ex50
LOGFILES=$(addsuffix .log, $(TOTEST))


all : $(OBJECTS)

tex : $(TEXOBJECTS)

execute: $(LOGFILES)


onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS)
	-rm -f *.ow *.sw *.exe *.dll *.log *.tmp
 
$(EXEOBJECTS): %$(EXEEXT): %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

$(LOGFILES): %.log: %$(EXEEXT)
	$(EXECPREFIX)$*$(EXEEXT) > $*.log

=== fpcdocs/mouseex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler

ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=ppc386
endif
else
override FPC=ppc386
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)

# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean

OBJECTS=ex1 ex2 ex3 ex4 ex5 ex6 ex7 logmouse
# mouse8 mouse9 \
#        mouse10

TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

all : $(OBJECTS)

tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS)
	-rm -f *.ow *.sw *.exe *.dll
 
$(OBJECTS): %: %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

=== fpcdocs/typinfex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=fpc
endif
else
override FPC=fpc
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif
ifdef inUnix
EXECPREFIX=./
else
EXECPREFIX=
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean execute

OBJECTS=rttiobj trtti1 trtti2 trtti3 ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 \
        ex10 ex11 ex12 ex13  ex14 ex15 ex16 ex17 ex18

# This might not be the same list as objects, since some of the
# tests might be interactive.
TOTEST=trtti1 trtti2 trtti3 ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 \
        ex10 ex11 ex12 ex13  ex14 ex15 ex16 ex17 ex18

LOGFILES=$(addsuffix .log, $(TOTEST))


TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

EXEOBJECTS=$(addsuffix $(EXEEXT), $(OBJECTS))

all : $(EXEOBJECTS)

execute: $(LOGFILES)


tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean :
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS) rttiobj.ppu
	-rm -f *.ow *.sw *.exe *.dll *.tmp *.log rttiobj.ppw

$(EXEOBJECTS): %: %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

$(LOGFILES): %.log: %$(EXEEXT)
	$(EXECPREFIX)$*$(EXEEXT) > $*.log

=== debian/changelog ===
fpc (3.2.0+dfsg-12) unstable; urgency=medium

  [ Graham Inggs ]
  * Drop unnecessary build dependency on binutils

  [ Abou Al Montacir ]
  * Disable FPU inlining on m68k.
    Thanks to John Paul Adrian Glaubitz (Closes: Bug#980841)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Jan 2021 22:36:28 +0100

fpc (3.2.0+dfsg-11) bullseye; urgency=medium

  * Add missing backslash in fp-compiler.postinst (Closes: #979850)
  * Upload to bullseye since fp-compiler is not installable in unstable

 -- Graham Inggs <ginggs@debian.org>  Tue, 12 Jan 2021 11:45:42 +0000

fpc (3.2.0+dfsg-9) unstable; urgency=medium

  * Added unversioned links to fpcmkcfg and samplecfg tools.
    Thanks to Сергей Фёдоров (Closes: Bug#975351)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 03 Jan 2021 17:27:29 +0100

fpc (3.2.0+dfsg-8) unstable; urgency=medium

  * Further updates to list of expected test failures on arm32/arm64
    + add ../packages/rtl-objpas/tests/testrunner.rtlobjpas on arm32/arm64
    + add webtbs/tw22992 on arm32
    + add webtbs/tw23185 on arm32

 -- Peter Michael Green <plugwash@debian.org>  Sat, 22 Aug 2020 13:17:07 +0000

fpc (3.2.0+dfsg-7) unstable; urgency=medium

  * Update list of expected test failures on
    arm32/arm64/i386
    + add test/cg/tm128 on arm32/i386
    + add test/tarray15 on arm32/arm64/i386
    + add test/tinlrange1 on arm32
    + add test/tinlrange3 on arm32
    + add test/tlib1b on arm32
    + add test/tlibrary2 on arm32
    + add test/tweaklib2 on arm32
    + add tbs/tb0643 on arm32/arm64
    + add webtbs/tw0876 on i386
    + add webtbs/tw12038 on arm32/arm64/i386
    + add webtbs/tw12704b on arm32
    + add webtbs/tw13628b on arm32
    + add webtbs/tw14958b on arm32
    + add webtbs/tw16263b on arm32
    + add webtbs/tw16949b on arm32
    + add webtbs/tw17904 on arm32/arm64/i386
    + add webtbs/tw22744b on arm32/arm64/i386
    + add webtbs/tw22992 on arm32
    + add webtbs/tw23185 on arm32
    + add webtbs/tw26481 on arm32/arm64/i386
    + add webtbs/tw2886 on arm32/arm64/i386
    + add webtbs/tw32671 on i386
    + add webtbs/tw36179 on arm32/arm64
    + add webtbs/tw3964b on arm32
    + add webtbs/tw6822c on arm32
    + add webtbs/tw7838b on arm32
    + add webtbs/tw8730c on arm32
    + add webtbs/tw8730d on arm32
    + add webtbs/tw9089c on arm32
    + add webtbs/tw9089d on arm32
    + add webtbf/tw18225b on i386
    + add webtbf/tw25862 on arm32/arm64

 -- Peter Michael Green <plugwash@debian.org>  Fri, 21 Aug 2020 11:39:19 +0000

fpc (3.2.0+dfsg-6) unstable; urgency=medium

  * Make autopkgtest more verbose.
  * Fix issue with autopkgtest trying to use a packaged fcl with a locally
    built rtl by cleaning up the rtl that is built during makefile generation
    (Closes: 968245)
  * Fix version lists in utests.pp
  * Make autopkgtest use unified diff to report changes in failures.
  * Update list of expected test failures on amd64
    + add test/tarray15
    + add webtbs/tw12038
    + add webtbs/tw17904
    + add webtbs/tw22744b
    + add webtbf/tw25862
    + add webtbs/tw26481
    + add webtbs/tw2886
    + add webtbs/tw29957

 -- Peter Michael Green <plugwash@debian.org>  Tue, 18 Aug 2020 19:53:55 +0000

fpc (3.2.0+dfsg-5) unstable; urgency=medium

  * Disable optimizations when building for m68k.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Aug 2020 17:24:16 +0200

fpc (3.2.0+dfsg-4) experimental; urgency=medium

  * Fixed liking with libc when PIC is enabled (x86_64 specific).

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 04 Aug 2020 12:50:43 +0200

fpc (3.2.0+dfsg-3) experimental; urgency=medium

  * Fixed default value of units global dir based on base installation dir.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Aug 2020 23:23:02 +0200

fpc (3.2.0+dfsg-2) experimental; urgency=medium

  * Fixed FPCDIR default value detection after FileExist behavior change.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Aug 2020 19:55:39 +0200

fpc (3.2.0+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
    Fixes: lintian: file-contains-trailing-whitespace
    See-also: https://lintian.debian.org/tags/file-contains-trailing-whitespace.html
  * Use secure copyright file specification URI.
    Fixes: lintian: insecure-copyright-format-uri
    See-also: https://lintian.debian.org/tags/insecure-copyright-format-uri.html
  * Wrap long lines in changelog entries: 3.0.0+dfsg-8, 3.0.0+dfsg-4, 2.6.2-2.
    Fixes: lintian: debian-changelog-line-too-long
    See-also: https://lintian.debian.org/tags/debian-changelog-line-too-long.html
  * Use secure URI in debian/watch.
    Fixes: lintian: debian-watch-uses-insecure-uri
    See-also: https://lintian.debian.org/tags/debian-watch-uses-insecure-uri.html
  * Set upstream metadata fields: Archive, Repository.
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-repository
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-repository.html
  * Fix day-of-week for changelog entries 2.6.2-1, 2.6.0-6, 2.6.0-1, 2.4.2-3, 2.4.2-1, 2.4.0-3, 2.4.0-2, 2.2.4-5, 2.2.4-4, 2.2.2-6, 2.2.2-5, 2.0.4-rc1, 1.0.4+1.0.6cvs20020228-1, 1.0.1-0.
    Fixes: lintian: debian-changelog-has-wrong-day-of-week
    See-also: https://lintian.debian.org/tags/debian-changelog-has-wrong-day-of-week.html

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 06 Jun 2020 00:27:44 +0200

fpc (3.2.0~rc1+dfsg-3) experimental; urgency=medium

  * Support building on ppc64el.
    Thanks to John Paul Adrian Glaubitz (Closes: #963623)
  * Fix FTBFS on m68k

 -- Paul Gevers <elbrus@debian.org>  Thu, 25 Jun 2020 17:19:22 +0200

fpc (3.2.0~rc1+dfsg-2) experimental; urgency=medium

  [ Paul Gevers ]
  * Drop fpcsrc/.gitignore, also from future upstream sources
  * Don't install libffi on non-amd64 systems as it's not built there



=== debian/control ===
Source: fpc
Section: devel
Priority: optional
Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders:
 Abou Al Montacir <abou.almontacir@sfr.fr>,
 Paul Gevers <elbrus@debian.org>,
 Peter Michael Green <plugwash@debian.org>,
Standards-Version: 4.1.3
Build-Depends:
 debhelper (>= 10~),
 dh-exec (>=0.22),
 fp-compiler,
 fp-units-base,
 fp-units-fcl,
 fp-utils,
 ghostscript,
 libncurses-dev,
 mawk | awk,
 po-debconf,
 txt2man,
Build-Depends-Indep:
 hevea,
 rdfind,
 symlinks
Vcs-Git: https://salsa.debian.org/pascal-team/fpc
Vcs-Browser: https://salsa.debian.org/pascal-team/fpc
Homepage: https://www.freepascal.org/

Package: fpc-3.2.0
Architecture: all
Depends:
 fp-compiler-3.2.0 (>= ${binary:Version}),
 fp-ide-3.2.0 (>= ${binary:Version}),
 fp-units-base-3.2.0 (>= ${binary:Version}),
 fp-units-db-3.2.0 (>= ${binary:Version}),
 fp-units-fcl-3.2.0 (>= ${binary:Version}),
 fp-units-fv-3.2.0 (>= ${binary:Version}),
 fp-units-gfx-3.2.0 (>= ${binary:Version}),
 fp-units-gtk2-3.2.0 (>= ${binary:Version}),
 fp-units-math-3.2.0 (>= ${binary:Version}),
 fp-units-misc-3.2.0 (>= ${binary:Version}),
 fp-units-multimedia-3.2.0 (>= ${binary:Version}),
 fp-units-net-3.2.0 (>= ${binary:Version}),
 fp-units-rtl-3.2.0 (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-utils-3.2.0
Suggests:
 fp-docs-3.2.0 (>= ${source:Upstream-Version}),
 lazarus
Provides:
 fpc
Breaks:
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - SDK-3.2.0 suite
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 Extensions have been added to the language, such as function overloading,
 creation and linking of shared libraries, and Delphi language extensions
 including classes, exceptions, ANSI strings, and open arrays.
 .
 This metapackage pulls in all the FPC packages provided for this
 architecture. Experienced users may instead prefer to install the particular
 packages they require by hand.

Package: fpc-source-3.2.0
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 fpc-source
Breaks:
 fpc-src
Replaces:
 fpc-src
Description: Free Pascal - SDK source code
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains Free Pascal's own source code. It is meant to be used by
 the Lazarus IDE.

Package: fp-compiler-3.2.0
Architecture: any
Multi-Arch: same
Depends:
 binutils,
 fp-units-rtl-3.2.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-utils-3.2.0 (>= ${binary:Version})
Suggests:
 fp-docs-3.2.0 (>= ${source:Upstream-Version}),
Provides:
 fp-compiler
Breaks:
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - compiler
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 Extensions have been added to the language, such as function overloading,
 creation and linking of shared libraries, and Delphi language extensions
 including classes, exceptions, ANSI strings, and open arrays.
 .
 This package contains the command line compiler.

Package: fp-ide-3.2.0
Architecture: any
Multi-Arch: foreign
Depends:
 fp-units-rtl-3.2.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-utils-3.2.0 (>= ${binary:Version})
Suggests:
 fp-docs-3.2.0 (>= ${source:Upstream-Version})
Provides:
 fp-ide
Breaks:
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - IDE
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 Extensions have been added to the language, such as function overloading,
 creation and linking of shared libraries, and Delphi language extensions
 including classes, exceptions, ANSI strings, and open arrays.
 .
 This package contains the Integrated Development Environment (IDE). The IDE
 has an internal compiler.

Package: fp-utils-3.2.0
Architecture: any
Multi-Arch: foreign
Depends:
 fpc-source-3.2.0,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-compiler-3.2.0 (= ${binary:Version})
Provides:
 fp-utils
Breaks:
 fp-compiler-3.2.0 (<= 3.0.4+dfsg-11),
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fp-compiler-3.2.0 (<= 3.0.4+dfsg-11),
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - utilities
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains some handy utilities for use with the Free Pascal
 Compiler:
  * data2inc   convert binary/text data to include files;
  * fpcmake    create Makefile from Makefile.fpc;
  * h2pas      convert .h files to Pascal units;
  * plex/pyacc Pascal Lex and Yacc implementations;
  * ppdep      create a dependency file for use with Makefiles;
  * ppudump    dump the information stored in a .ppu (unit) file;
  * ppufiles   show needed files for units;
  * ppumove    place multiple units in a shared library;
  * ptop       beautify source.

Package: fp-docs-3.2.0
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 fp-docs
Breaks:
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - documentation
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package provides documentation for the Free Pascal Compiler in HTML
 format.

Package: fp-units-rtl-3.2.0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-compiler-3.2.0 (= ${binary:Version})
Provides:
 fp-units-rtl,
 fpc-abi-3.2.0
Breaks:
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - runtime libraries
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains the RunTime Libraries for the Free Pascal Compiler.

Package: fp-units-base-3.2.0
Architecture: any
Multi-Arch: same
Depends:
 fp-units-rtl-3.2.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 uuid-dev
Provides:
 fp-units-base
Breaks:
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - base units
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains Free Pascal units for common libraries (some of which
 are also required by the Free Component Library): NCurses, X11 (Xlib,
 Xutil), and ZLib.

Package: fp-units-fcl-3.2.0
Architecture: any
Multi-Arch: same
Depends:
 fp-units-base-3.2.0 (= ${binary:Version}),
 fp-units-rtl-3.2.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 fp-units-fcl
Breaks:
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - Free Component Library
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains the Free Component Library for the Free Pascal Compiler.

Package: fp-units-fv-3.2.0
Architecture: any
Multi-Arch: same
Depends:
 fp-units-rtl-3.2.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 fp-units-fv
Breaks:
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - Free Vision units
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains the Free Vision units for the Free Pascal Compiler
 (which provide a framework for developing text user interfaces).

Package: fp-units-gtk2-3.2.0
Architecture: any
Multi-Arch: same
Depends:
 fp-units-fcl-3.2.0 (= ${binary:Version}),
 fp-units-rtl-3.2.0 (= ${binary:Version}),
 libgtk2.0-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 fp-units-gtk2
Breaks:
 fpc (<= 3.2.0~rc1+dfsg-0),
Replaces:
 fpc (<= 3.2.0~rc1+dfsg-0),
Description: Free Pascal - GTK+ 2.x units
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains Free Pascal units and examples to create
 programs with GTK+ 2.x.

Package: fp-units-db-3.2.0
Architecture: any
Multi-Arch: same
Depends:
 fp-units-rtl-3.2.0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 firebird-dev,
 freetds-dev,
 libgdbm-dev,

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Free Pascal

DEB_PACKAGE_NAME = fpc
export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

# Documentation type to use pdf/html
ifeq (${DEBDOCTYPE},)
DOCTYPE=html
# HTML Converter l2h/4ht/hevea or html for (default)
CONVERTER=hevea
else
DOCTYPE=${DEBDOCTYPE}
CONVERTER=${DOCTYPE}
endif
# Include standard dpkg-buildpackage variables
include /usr/share/dpkg/architecture.mk
# Undefine FPC if it was set
unexport FPC
# Build new compiler name
CPU_SOURCE=${DEB_BUILD_ARCH_CPU}
CPU_TARGET=${DEB_HOST_ARCH_CPU}
# Take care that Debian uses amd64 while FPC perfers x86_64 instead
CPU_SOURCE := $(subst amd64,x86_64,${CPU_SOURCE})
CPU_TARGET := $(subst amd64,x86_64,${CPU_TARGET})
# Take care that Debian uses arm64 while FPC perfers aarch64 instead
CPU_SOURCE := $(subst arm64,aarch64,${CPU_SOURCE})
CPU_TARGET := $(subst arm64,aarch64,${CPU_TARGET})
# Take care that debian uses ppc64/-el while FPC prefers powerpc64 instead
ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
CPU_SOURCE := $(subst ppc64el,powerpc64,${CPU_SOURCE})
CPU_TARGET := $(subst ppc64el,powerpc64,${CPU_TARGET})
else
CPU_SOURCE := $(subst ppc64,powerpc64,${CPU_SOURCE})
CPU_TARGET := $(subst ppc64,powerpc64,${CPU_TARGET})
endif
# Shuld get rid of this one day, as it is done automatically  by FPC make files
ifeq ($(CPU_TARGET),m68k)
PPSUF=68k
endif
ifeq ($(CPU_TARGET),i386)
PPSUF=386
endif
ifeq ($(CPU_TARGET),x86_64)
PPSUF=x64
endif
ifeq ($(CPU_TARGET),powerpc)
PPSUF=ppc
endif
ifeq ($(CPU_TARGET),powerpc64)
PPSUF=ppc64
endif
ifeq ($(CPU_TARGET),alpha)
PPSUF=axp
endif
ifeq ($(CPU_TARGET),arm)
PPSUF=arm
endif
ifeq ($(CPU_TARGET),aarch64)
PPSUF=a64
endif
ifeq ($(CPU_TARGET),sparc)
PPSUF=sparc
endif
ifeq ($(CPU_TARGET),sparc64)
PPSUF=sparc64
endif
ifeq ($(CPU_TARGET),mips)
PPSUF=mips
endif
ifeq ($(CPU_TARGET),mipsel)
PPSUF=mipsel
endif

ifneq ($(CPU_SOURCE),$(CPU_TARGET))
PPPRE=ppcross
else
PPPRE=ppc
endif

PPNEW=$(PPPRE)$(PPSUF)
# Take care that Debian uses kfreebsd while FPC prefers freebsd
OS_TARGET=$(subst kfreebsd,freebsd,${DEB_HOST_ARCH_OS})
# FPC uses FPCTARGET to identify the target for which the binaries are
# produced. This is generally a couple of target CPU and target OS names
# separated by a dash.
FPCTARGET=$(CPU_TARGET)-$(OS_TARGET)
# Get version information from changelog file
DEB_VERSION:=$(shell dpkg-parsechangelog --show-field Version)
DEB_DATE:=$(shell date --utc --date="`dpkg-parsechangelog --show-field Date`" +%Y/%m/%d)
DEB_UPSTREAM_VERSION:=$(shell echo $(DEB_VERSION) | cut -f 1 -d -)
export DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
ifndef PACKAGESUFFIX
export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
endif
# Get directories
INSTALL_DIR=${CURDIR}/debian/tmp
BIN_DIR=${INSTALL_DIR}/usr/bin
# Debian policy is to install libraries that are multi-arch coinstallable in
# /usr/lib/${DEB_HOST_MULTIARCH}
LIB_DIR=${INSTALL_DIR}/usr/lib/${DEB_HOST_MULTIARCH}/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
DOC_DIR=${INSTALL_DIR}/usr/share/doc
SRC_DIR=${INSTALL_DIR}/usr/share/fpcsrc/${DEB_UPSTREAM_MAIN_VERSION}
EXAMPLE_TEMP=${INSTALL_DIR}/usr/share/doc/fpc-${DEB_UPSTREAM_MAIN_VERSION}
STY_DIR=${INSTALL_DIR}/usr/share/texmf/tex/latex/fpc-${DEB_UPSTREAM_MAIN_VERSION}
# Override standard GNUE make variables
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef CP
CP=cp -Rfpl
endif
ifndef MV
MV=mv
endif
RM:=rm -rf
# Build fpcmake from sources if none is specified.
ifndef FPCMAKE
# Upstream wants that one uses latest FPC make utility to produce make files
# from FPC make files. This is required because, especially in old days, FPC
# make utility used to evolve so that old tool versions were not able to
# process new FPC make files. So it is always safe to start first by building
# this tool from sources and then use it to build make files to build compiler,
# RTL and packages.
FPCMAKE=fpcsrc/utils/fpcm/bin/${FPCTARGET}/fpcmake
endif
# Undefine FPCDIR if it was set
unexport FPCDIR
NEWPP=$(CURDIR)/fpcsrc/compiler/$(PPNEW)
NEWFPDOC=$(CURDIR)/fpcsrc/utils/fpdoc/fpdoc
# Set default compilation options
DEB_BUILD_FPC_OPT=debian/deb-build-fpc.cfg
DEB_HOST_FPC_OPT=debian/deb-host-fpc.cfg
ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
BUILDOPTS=PP=$(NEWPP) OPT='@${CURDIR}/${DEB_HOST_FPC_OPT} -Cb- -Caelfv2'
else
BUILDOPTS=PP=$(NEWPP) OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
endif
ifdef CROSSOPT
BUILDOPTS+= CROSSOPT=${CROSSOPT}
endif
INSTALLOPTS=INSTALL_PREFIX=$(INSTALL_DIR)/usr PP=$(NEWPP)

export GDBLIBDIR=/usr/lib

ifeq ($(CPU_TARGET),m68k)
  # Disable optimization for the first runs as there may be bugs associated
  # with that, preventing proper building new versions 
  CYCLEOPTS:=OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}' OPTLEVEL1=-O-
else
  CYCLEOPTS:=OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
endif

# Set default compilation options
FPMAKE_BUILDOPTS=FPMAKE_SKIP_CONFIG='-n @${CURDIR}/${DEB_BUILD_FPC_OPT}'

LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
	dpkg-buildflags --get LDFLAGS | \
	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11'))

# Until we switch to shorthand dh, we need to set this ourselves for
# reproducible builds
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

#export DH_VERBOSE=1

###################
# Clean
#

# The default clean target is very heavy for an already clean tree because it
# regenerates all the Makefiles from Makefile.fpc files to be able to call all
# the upstream distclean targets. Therefor the clean target is split into
# multiple components and you can fool the makefiles target when ZERO generated
# Makefiles are found by setting the variable MAY_FOOL_CLEAN to anything but
# the empty string. This is propably a reasonable trade-off under all
# circumstances, but to prevent anything bad from happening during official
# builds, it is not the default.
clean: check-makefiles clean-all-but-makefiles clean-makefiles
	# Make sure the debconf translations are always up-to-date
	debconf-updatepo
	# Make sure the list with timestamps is up-to-date
	[ ! $$(which fp-fix-timestamps) ] || fp-fix-timestamps update
	dh_clean

# See comment above clean target. Fool make-file when approriate
check-makefiles:
ifdef MAY_FOOL_CLEAN
	for fpcfile in `find . -name Makefile.fpc` ; do \
		if [ -f `dirname $$fpcfile`/Makefile ] ; then \
			GOINGTOFOOLCLEAN=false ; \
		fi ; \
	done ; \
	if [ "$$GOINGTOFOOLCLEAN" != false ] ; then \
		echo Beware of empty Makefiles: we are going to fool the makefiles target now ; \
		for fpcfile in `find . -name Makefile.fpc` ; do \
			touch `dirname $$fpcfile`/Makefile ; \
		done ; \
		touch makefiles-stamp ; \
	fi
endif

# In essence, this is the real clean target, except it doesn't remove the
# generated Makefiles. It should do ALL the other cleaning though.
clean-all-but-makefiles: makefiles
	dh_testdir

	# Remove the gnome1, gtk1, fpgtk and imlib packages
	# as they depend on libraries long go removed from Debian.
	rm -rf fpcsrc/packages/gnome1
	rm -rf fpcsrc/packages/gtk1
	rm -rf fpcsrc/packages/imlib
	rm -rf fpcsrc/packages/fpgtk
	# The following packages depend on (at least) fpgtk and were
	# not build in Debian anyways. The makefiles target fails to run
	# if we remove the above, but not these because fpcmake checks
	# for all Makefile.fpc files and notices that the dependency is
	# not fullfilled.
	rm -rf fpcsrc/utils/fpdoc/fpde
	rm -rf fpcsrc/utils/fpmc

	# Call upstream clean targets
	[ ! -s fpcsrc/Makefile ]  || $(MAKE) -C fpcsrc compiler_distclean
	[ ! -s fpcsrc/Makefile ]  || $(MAKE) -C fpcsrc rtl_distclean
	[ ! -s fpcsrc/Makefile ]  || $(MAKE) -C fpcsrc packages_distclean
	[ ! -s fpcsrc/Makefile ]  || $(MAKE) -C fpcsrc utils_distclean
	[ ! -s fpcdocs/Makefile ] || $(MAKE) -C fpcdocs clean
	# Just in case they forgot something
	find -regex '.*\.\(a\|or?\|so\.*\|ppu\|compiled\)' -delete

=== debian/watch ===
version=4
# Original line if repacking is needed...
opts=uversionmangle=s/(RC)/\L$1/;\
s/(\d)((rc|pre|dev|beta|alpha|b|a))/$1~$2/;\
s/\-\d//;\
s/\-src//,\
dversionmangle=s/\+dfsg// \
ftp://ftp.freepascal.org/pub/fpc/(beta|dist)/@ANY_VERSION@/source/fpcbuild-@ANY_VERSION@@ARCHIVE_EXT@ debian debian/orig-tar.sh

## fpc 3.2.2%2Bdfsg

=== fpcdocs/graphex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler

ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=ppc386
endif
else
override FPC=ppc386
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)


# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean

OBJECTS=inigraph1 inigraph2 modrange

TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

all : $(OBJECTS)

tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS)
	-rm -f *.ow *.sw *.exe *.dll
 
$(OBJECTS): %: %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

=== fpcdocs/strutex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler

ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=fpc
endif
else
override FPC=fpc
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)

# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif
ifdef inUnix
EXECPREFIX=./
else
EXECPREFIX=
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean execute

OBJECTS=ex1 ex2
#ex4 ex5 ex6 ex7 ex8 ex9 ex10 ex11 ex12\
#        ex13 ex14 ex15 ex16 ex17 ex18 ex19 ex20 ex21 ex22 ex23 ex24\
#        ex25 ex26 ex27 ex28 ex29 ex30 ex31 ex32 ex33 ex34 ex35 ex36\
#        ex37 ex38 ex39 ex40 ex41 ex42 ex43 ex44 ex45 ex46 ex47\
#        ex48 ex49 ex50 ex51 ex52 ex53 ex54 ex55 ex56 ex57 ex58\
#        ex59 ex60 ex61 ex62 ex63 ex64 ex65 ex66 ex67 ex68 ex69 ex70\
#        ex71 ex72 ex73 ex74 ex75 ex76 ex77 ex78 ex79 ex80 \
#        ex81 ex82 ex83 ex84 ex85 ex86 ex87 ex88 ex89 ex90 ex91 ex92 \
#        ex93

# This might not be the same list as objects, since some of the
# tests might be interactive.
TOTEST=ex1 ex2
#ex3 ex4 ex5 ex6 ex7 ex8 ex9 ex10 ex11 ex12\
#        ex13 ex14 ex15 ex16 ex17 ex18 ex19 ex20 ex21 ex22 ex23 ex24\
#        ex25 ex26 ex27 ex28 ex29 ex30 ex31 ex32 ex35 ex36\
#        ex37 ex39 ex41 ex42 ex43 ex44 ex45 ex46 ex47\
#        ex48 ex49 ex50 ex51 ex52 ex53 ex54 ex55 ex56 ex57 ex58\
#        ex59 ex60 ex61 ex62 ex63 ex64 ex65 ex66 ex67 ex68 ex69 ex70\
#        ex72 ex73 ex74 ex75 ex76 ex77 ex78 ex79 ex80 \
#        ex81 ex82 ex83 ex84 ex85 ex86 ex87 ex88 ex89 ex90 ex91 ex92 \
#        ex93

LOGFILES=$(addsuffix .log, $(TOTEST))


TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

EXEOBJECTS=$(addsuffix $(EXEEXT), $(OBJECTS))

all : $(EXEOBJECTS)

execute: $(LOGFILES)

tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS)
	-rm -f *.ow *.sw *.exe *.dll *.ppw *.tmp *.log *.dat
 
$(EXEOBJECTS): %: %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

$(LOGFILES): %.log: %$(EXEEXT)
	$(EXECPREFIX)$*$(EXEEXT) > $*.log

=== install/doc/Makefile ===
##################################
# Man page installation for linux
#

ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=ppc386
endif
else
override FPC=ppc386
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)

ifndef INSTALL_PREFIX
INSTALL_PREFIX=/usr/local
endif

ifndef INSTALL_DOCDIR
INSTALL_DOCDIR:=$(INSTALL_PREFIX)/doc/fpc-$(shell $(FPC) -iV)
endif 

installdoc:
	install -d -m 755 $(INSTALL_DOCDIR)
	cp readme.txt $(INSTALL_DOCDIR)/README
	cp whatsnew.txt $(INSTALL_DOCDIR)/NEWS
	cp faq.htm $(INSTALL_DOCDIR)/faq.html
	cp faq.txt $(INSTALL_DOCDIR)

faq.txt: faq.html
	lynx -dump faq.html > faq.txt

=== install/man/Makefile ===
##################################
# Man page installation for unix
#

override PATH:=$(subst \,/,$(PATH))
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))


ifndef INSTALL_PREFIX
INSTALL_PREFIX=/usr/local
endif

ifndef GINSTALL
GINSTALL:=$(strip $(wildcard $(addsuffix /ginstall,$(SEARCHPATH))))
ifeq ($(GINSTALL),)
GINSTALL:=$(strip $(wildcard $(addsuffix /install,$(SEARCHPATH))))
ifeq ($(GINSTALL),)
GINSTALL=
else
GINSTALL:=$(firstword $(GINSTALL))
endif
else
GINSTALL:=$(firstword $(GINSTALL))
endif
endif

INSTALL_MANDIR=$(INSTALL_PREFIX)/man

installman:
	$(GINSTALL) -d -m 755 $(INSTALL_MANDIR)/man1
	$(GINSTALL) -d -m 755 $(INSTALL_MANDIR)/man5
	$(GINSTALL) -c -m 644 man1/*.1 $(INSTALL_MANDIR)/man1
	$(GINSTALL) -c -m 644 man5/*.5 $(INSTALL_MANDIR)/man5
	find man1/*.1 -exec gzip -9f $(INSTALL_MANDIR)/'{}' \;
	find man5/*.5 -exec gzip -9f $(INSTALL_MANDIR)/'{}' \;
ifdef NOIDE
	rm $(INSTALL_MANDIR)/man1/fp.*
endif

=== debian/changelog ===
fpc (3.2.2+dfsg-46) unstable; urgency=medium

  * Removed helper programs that are useful only to build compiler.
    These programs are not even usable outside the compiler sources folder.
    (Closes: Bug#1095306)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 08 Feb 2025 21:45:34 +0100

fpc (3.2.2+dfsg-45) unstable; urgency=medium

  * Fixed hardening configuration for aarch64 architecture.
  * Updated DEP12 upstream metadata.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 06 Feb 2025 20:02:48 +0100

fpc (3.2.2+dfsg-44) unstable; urgency=medium

  * Enabled hardening for armhf architectures.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 04 Feb 2025 17:29:14 +0100

fpc (3.2.2+dfsg-43) unstable; urgency=medium

  * Fixed path of hardening configuration file.
  * Removed Lintian overrides that are no more used.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Feb 2025 00:18:40 +0100

fpc (3.2.2+dfsg-42) unstable; urgency=medium

  * Fixed build of arch all packages.
  * Fixed dependencies of fp-utils package and reduced build dependencies.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Feb 2025 19:31:30 +0100

fpc (3.2.2+dfsg-41) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Abou Al Montacir ]
  * Reformatted Catalan translation file.
  * Enforce coherence between debian/control and debian/control.in files.
  * Replaced legacy debhelper option (-s) by new one (-a).
  * Fixed files encoding
  * Replaced direct parsing of changelog by function for dpkg/pkf-info.mk.
  * Added FPC configuration file to support hardening.
    Hardened program needs to be compiled using `fpc @hardening progname`.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Feb 2025 14:50:09 +0100

fpc (3.2.2+dfsg-40) unstable; urgency=medium

  * Fixed build on i386 architecture.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 14:47:51 +0100

fpc (3.2.2+dfsg-39) unstable; urgency=medium

  * Allow installing libffi interfacing units on all architectures.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 13:54:20 +0100

fpc (3.2.2+dfsg-38) unstable; urgency=medium

  * Fixed warning about depreciated feature --list-missing in dh_install.
  * Removed dependency of fp-utils on fpc-source as it does not make sense.
  * Fixed variable name in fpc-depends.
  * Installed fp-units-rtl package examples.
  * Remove files that are not to be installed.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 13:02:34 +0100

fpc (3.2.2+dfsg-37) unstable; urgency=medium

  * Fixed build of architecture independent packages on sid.
  * Added support for ${fpc:Static-Built-using} in fpc-depnds.
    (Closes: Bug#997948)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 00:05:12 +0100

fpc (3.2.2+dfsg-36) unstable; urgency=medium

  * Fixed default value of FPCDIR for ppc64el.
    This should fix build issues of Castle Game Engine on that target.
  * Bumped standard version to 4.7.0.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 18 Jan 2025 13:58:26 +0100

fpc (3.2.2+dfsg-35~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 19:34:18 +0100

fpc (3.2.2+dfsg-35) unstable; urgency=medium

  * Fixed location of third party fp-units packages configuration file.
    Generally, the configuration file is identical for all architectures.
    It does not make sense to have a different file per architecture
    especially that the configuration file supports conditional sections.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 19:25:14 +0100

fpc (3.2.2+dfsg-34~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 17 Nov 2024 21:23:45 +0100

fpc (3.2.2+dfsg-34) unstable; urgency=medium

  * Added Content-Type to prevent msgfmt crash.
    Thanks to Peter Blackman <peter@pblackman.plus.com> (Closes: Bug#1074706)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 13 Jul 2024 17:35:36 +0200

fpc (3.2.2+dfsg-33) unstable; urgency=medium

  * Fixed typo in package description and updated debhelper version.
    (Closes: Bug#1069157)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 08 Jun 2024 00:47:33 +0200

fpc (3.2.2+dfsg-32~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jan 2024 09:45:26 +0100

fpc (3.2.2+dfsg-32~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jan 2024 09:36:17 +0100

fpc (3.2.2+dfsg-32) unstable; urgency=medium

  * Fixed typo in man file name.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jan 2024 08:40:08 +0100

fpc (3.2.2+dfsg-31) unstable; urgency=medium

  * Removed fpcmkcfg man page from fp-utils as it is already shipped by
    fp-units-rtl. (Closes: Bug#1059950)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 04 Jan 2024 15:54:25 +0100

fpc (3.2.2+dfsg-30) unstable; urgency=medium

  * Updated timestamps file.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 03 Jan 2024 16:38:42 +0100

fpc (3.2.2+dfsg-29) unstable; urgency=medium

  * Fixed lintian warning about missing man pages.
  * Implement support for SPARC 64-bit in fpcres.
    Lazarus build fails on sparc64 due to missing support of this
    architecture in fpcres tool. This patch backports the support to
    version 3.2.2.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 03 Jan 2024 16:16:21 +0100

fpc (3.2.2+dfsg-28) unstable; urgency=medium

  * Reverted changes in fp-utils causing upgrade problems. (Closes: Bug#1059772)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 01 Jan 2024 15:28:49 +0100

fpc (3.2.2+dfsg-27) unstable; urgency=medium

  * Source upload after fixing build issue on sid.
